| Home | Libraries | People | FAQ | More

### windows::random_access_handle

Typedef for the typical usage of a random-access handle.

    typedef basic_random_access_handle random_access_handle;

##### Types

Name | Description
--- | ---
executor_type | The type of the executor associated with the object.
lowest_layer_type | An overlapped_handle is always the lowest layer.
native_handle_type | The native representation of a handle.

##### Member Functions

Name | Description
--- | ---
assign | Assign an existing native handle to the handle.
async_read_some_at | Start an asynchronous read at the specified offset.
async_write_some_at | Start an asynchronous write at the specified offset.
basic_random_access_handle | Construct a random-access handle without opening it. — Construct a random-access handle on an existing native handle. — Move-construct a random-access handle from another.
cancel | Cancel all asynchronous operations associated with the handle.
close | Close the handle.
get_executor | Get the executor associated with the object.
is_open | Determine whether the handle is open.
lowest_layer | Get a reference to the lowest layer. — Get a const reference to the lowest layer.
native_handle | Get the native handle representation.
operator= | Move-assign a random-access handle from another.
read_some_at | Read some data from the handle at the specified offset.
write_some_at | Write some data to the handle at the specified offset.

##### Protected Data Members

Name | Description
--- | ---
impl_ |

The `windows::basic_random_access_handle` class provides asynchronous and blocking random-access handle functionality.

##### Thread Safety

Distinct objects: Safe.

Shared objects: Unsafe.

##### Requirements

Header: `boost/asio/windows/random_access_handle.hpp`

Convenience header: `boost/asio.hpp`